Zum Inhalt springen
DeutschlandGPT

List Custom GPTs

Returns all active Custom GPTs for the authenticated workspace — enterprise-scoped, or the user's private Custom GPTs when the workspace has no enterprise. Results are filtered by the API key's Custom GPT permissions when applicable.

GEThttps://api.deutschlandgpt.de/v2/custom-gpts

Example request

curl https://api.deutschlandgpt.de/v2/custom-gpts \
  -X GET \
  -H "Authorization: Bearer $DGPT_API_KEY"

Response

200application/json
{
  "object": "list",
  "data": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "name": "string",
      "description": "string",
      "instructions": "string",
      "conversationStarters": "string",
      "metadata": {
        "files": [
          null
        ],
        "webBrowsing": {
          "enabled": null
        },
        "imageGeneration": {
          "enabled": null
        },
        "codeInterpreter": {
          "enabled": null
        }
      },
      "accessLevel": "string",
      "promptSuggestions": [
        "string"
      ],
      "modelId": "00000000-0000-0000-0000-000000000000",
      "createdAt": "2025-01-01T00:00:00Z"
    }
  ]
}

List of Custom GPTs

objectstring
dataCustomGpt[]
idstring<uuid>
namestring
descriptionstring | null
instructionsstring | null
conversationStartersstring | null
metadataCustomGptMetadata
filesobject[]
webBrowsingobject
imageGenerationobject
codeInterpreterobject
accessLevelstring
promptSuggestionsstring[]
modelIdstring<uuid> | null
createdAtstring<date-time>

Response codes

200

List of Custom GPTs

object
401

Unauthorized

Was this page helpful?